LibreOffice: URI Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
URI Service Reference

represents a URI node that may occur in a RDF graph. More...

Inheritance diagram for URI:

## Public Member Functions
| create ([in] string Value) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a URI RDF node.
| createNS ([in] string Namespace, [in] string LocalName) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a URI RDF node from namespace prefix and local name.
| createKnown ([in] short Id) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a URI RDF node for a well-known URI.

## Additional Inherited Members
Public Attributes inherited from XURI
string | Namespace
| prefix
string | LocalName
| suffix
Public Attributes inherited from XNode
string | StringValue
| the string value of the node.

## Detailed Description

represents a URI node that may occur in a RDF graph.

Since
  OOo 3.0

See also
  XRepository

## Member Function Documentation

## ◆ create()

create | ( | [in] string | Value | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

creates a URI RDF node.

Parameters

  Value | the URI, represented as `string`.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the argument does not represent a valid URI

## ◆ createKnown()

createKnown | ( | [in] short | Id | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

creates a URI RDF node for a well-known URI.

Parameters

  Id | the URI, represented as a constant from URIs.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the argument is not a valid constant from URIs

See also
  URIs

## ◆ createNS()

createNS | ( | [in] string | Namespace,
|  | [in] string | LocalName
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

creates a URI RDF node from namespace prefix and local name.

Parameters

  Namespace | the namespace prefix of the URI, represented as `string`.
  LocalName | the local name of the URI, represented as `string`.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the arguments do not represent a valid URI

The documentation for this service was generated from the following file:

- com/sun/star/rdf/URI.idl